package ex9;

import ch.usi.dag.disl.annotation.GuardMethod;
import ch.usi.dag.disl.staticcontext.MethodStaticContext;

public class IsNotConstructorOrStaticInitializerGuard {
    @GuardMethod
    public static boolean isNotConstructorOrStatic(final MethodStaticContext msc) {
        return !msc.isMethodInitializer() && !msc.isMethodConstructor();
    }
}
